## citus 7.0.3.PGDG

=== Makefile ===
# Citus toplevel Makefile

citus_subdir = .
citus_top_builddir = .

# Hint that configure should be run first
ifeq (,$(wildcard Makefile.global))
  $(error ./configure needs to be run before compiling Citus)
endif

include Makefile.global

all: extension

# build extension
extension: $(citus_top_builddir)/src/include/citus_version.h
	$(MAKE) -C src/backend/distributed/ all
install-extension: extension
	$(MAKE) -C src/backend/distributed/ install
install-headers: extension
	$(MKDIR_P) '$(DESTDIR)$(includedir_server)/distributed/'
# generated headers are located in the build directory
	$(INSTALL_DATA) $(citus_top_builddir)/src/include/citus_version.h '$(DESTDIR)$(includedir_server)/'
# the rest in the source tree
	$(INSTALL_DATA) $(citus_abs_srcdir)/src/include/distributed/*.h '$(DESTDIR)$(includedir_server)/distributed/'
clean-extension:
	$(MAKE) -C src/backend/distributed/ clean
.PHONY: extension install-extension clean-extension
# Add to generic targets
install: install-extension install-headers
clean: clean-extension

# apply or check style
reindent:
	cd ${citus_abs_top_srcdir} && citus_indent --quiet
check-style:
	cd ${citus_abs_top_srcdir} && citus_indent --quiet --check
.PHONY: reindent check-style

# depend on install for now
check: all install
	$(MAKE) -C src/test/regress check-full

.PHONY: all check install clean

=== src/backend/distributed/Makefile ===
# Makefile for the Citus extension

citus_subdir = src/backend/distributed
citus_top_builddir = ../../..

MODULE_big = citus
EXTENSION = citus
EXTVERSIONS = 5.0 5.0-1 5.0-2  \
	5.1-1 5.1-2 5.1-3 5.1-4 5.1-5 5.1-6 5.1-7 5.1-8 \
	5.2-1 5.2-2 5.2-3 5.2-4 \
	6.0-1 6.0-2 6.0-3 6.0-4 6.0-5 6.0-6 6.0-7 6.0-8 6.0-9 6.0-10 6.0-11 6.0-12 6.0-13 6.0-14 6.0-15 6.0-16 6.0-17 6.0-18 \
	6.1-1 6.1-2 6.1-3 6.1-4 6.1-5 6.1-6 6.1-7 6.1-8 6.1-9 6.1-10 6.1-11 6.1-12 6.1-13 6.1-14 6.1-15 6.1-16 6.1-17 \
	6.2-1 6.2-2 6.2-3 6.2-4 \
	7.0-1 7.0-2 7.0-3 7.0-4 7.0-5 7.0-6 7.0-7 7.0-8 7.0-9 7.0-10 7.0-11 7.0-12 7.0-13 7.0-14 7.0-15

# All citus--*.sql files in the source directory
DATA = $(patsubst $(citus_abs_srcdir)/%.sql,%.sql,$(wildcard $(citus_abs_srcdir)/$(EXTENSION)--*--*.sql))
# Generated files for each version
DATA_built = $(foreach v,$(EXTVERSIONS),$(EXTENSION)--$(v).sql)

# directories with source files
SUBDIRS = . commands connection executor master metadata planner progress relay test transaction utils worker

# That patsubst rule searches all directories listed in SUBDIRS for .c
# files, and adds the corresponding .o files to OBJS
OBJS += \
	$(patsubst $(citus_abs_srcdir)/%.c,%.o,$(foreach dir,$(SUBDIRS), $(sort $(wildcard $(citus_abs_srcdir)/$(dir)/*.c))))

# be explicit about the default target
all:

# generate each version's file installation file by concatenating
# previous upgrade scripts
$(EXTENSION)--5.0.sql: $(EXTENSION).sql
	cat $^ > $@
$(EXTENSION)--5.0-1.sql: $(EXTENSION)--5.0.sql $(EXTENSION)--5.0--5.0-1.sql
	cat $^ > $@
$(EXTENSION)--5.0-2.sql: $(EXTENSION)--5.0-1.sql $(EXTENSION)--5.0-1--5.0-2.sql
	cat $^ > $@
$(EXTENSION)--5.1-1.sql: $(EXTENSION)--5.0-2.sql $(EXTENSION)--5.0-2--5.1-1.sql
	cat $^ > $@
$(EXTENSION)--5.1-2.sql: $(EXTENSION)--5.1-1.sql $(EXTENSION)--5.1-1--5.1-2.sql
	cat $^ > $@
$(EXTENSION)--5.1-3.sql: $(EXTENSION)--5.1-2.sql $(EXTENSION)--5.1-2--5.1-3.sql
	cat $^ > $@
$(EXTENSION)--5.1-4.sql: $(EXTENSION)--5.1-3.sql $(EXTENSION)--5.1-3--5.1-4.sql
	cat $^ > $@
$(EXTENSION)--5.1-5.sql: $(EXTENSION)--5.1-4.sql $(EXTENSION)--5.1-4--5.1-5.sql
	cat $^ > $@
$(EXTENSION)--5.1-6.sql: $(EXTENSION)--5.1-5.sql $(EXTENSION)--5.1-5--5.1-6.sql
	cat $^ > $@
$(EXTENSION)--5.1-7.sql: $(EXTENSION)--5.1-6.sql $(EXTENSION)--5.1-6--5.1-7.sql
	cat $^ > $@
$(EXTENSION)--5.1-8.sql: $(EXTENSION)--5.1-7.sql $(EXTENSION)--5.1-7--5.1-8.sql
	cat $^ > $@
$(EXTENSION)--5.2-1.sql: $(EXTENSION)--5.1-8.sql $(EXTENSION)--5.1-8--5.2-1.sql
	cat $^ > $@
$(EXTENSION)--5.2-2.sql: $(EXTENSION)--5.2-1.sql $(EXTENSION)--5.2-1--5.2-2.sql
	cat $^ > $@
$(EXTENSION)--5.2-3.sql: $(EXTENSION)--5.2-2.sql $(EXTENSION)--5.2-2--5.2-3.sql
	cat $^ > $@
$(EXTENSION)--5.2-4.sql: $(EXTENSION)--5.2-3.sql $(EXTENSION)--5.2-3--5.2-4.sql
	cat $^ > $@
$(EXTENSION)--6.0-1.sql: $(EXTENSION)--5.2-4.sql $(EXTENSION)--5.2-4--6.0-1.sql
	cat $^ > $@
$(EXTENSION)--6.0-2.sql: $(EXTENSION)--6.0-1.sql $(EXTENSION)--6.0-1--6.0-2.sql
	cat $^ > $@
$(EXTENSION)--6.0-3.sql: $(EXTENSION)--6.0-2.sql $(EXTENSION)--6.0-2--6.0-3.sql
	cat $^ > $@
$(EXTENSION)--6.0-4.sql: $(EXTENSION)--6.0-3.sql $(EXTENSION)--6.0-3--6.0-4.sql
	cat $^ > $@
$(EXTENSION)--6.0-5.sql: $(EXTENSION)--6.0-4.sql $(EXTENSION)--6.0-4--6.0-5.sql
	cat $^ > $@
$(EXTENSION)--6.0-6.sql: $(EXTENSION)--6.0-5.sql $(EXTENSION)--6.0-5--6.0-6.sql
	cat $^ > $@
$(EXTENSION)--6.0-7.sql: $(EXTENSION)--6.0-6.sql $(EXTENSION)--6.0-6--6.0-7.sql
	cat $^ > $@
$(EXTENSION)--6.0-8.sql: $(EXTENSION)--6.0-7.sql $(EXTENSION)--6.0-7--6.0-8.sql
	cat $^ > $@
$(EXTENSION)--6.0-9.sql: $(EXTENSION)--6.0-8.sql $(EXTENSION)--6.0-8--6.0-9.sql
	cat $^ > $@
$(EXTENSION)--6.0-10.sql: $(EXTENSION)--6.0-9.sql $(EXTENSION)--6.0-9--6.0-10.sql
	cat $^ > $@
$(EXTENSION)--6.0-11.sql: $(EXTENSION)--6.0-10.sql $(EXTENSION)--6.0-10--6.0-11.sql
	cat $^ > $@
$(EXTENSION)--6.0-12.sql: $(EXTENSION)--6.0-11.sql $(EXTENSION)--6.0-11--6.0-12.sql
	cat $^ > $@
$(EXTENSION)--6.0-13.sql: $(EXTENSION)--6.0-12.sql $(EXTENSION)--6.0-12--6.0-13.sql
	cat $^ > $@
$(EXTENSION)--6.0-14.sql: $(EXTENSION)--6.0-13.sql $(EXTENSION)--6.0-13--6.0-14.sql
	cat $^ > $@
$(EXTENSION)--6.0-15.sql: $(EXTENSION)--6.0-14.sql $(EXTENSION)--6.0-14--6.0-15.sql
	cat $^ > $@
$(EXTENSION)--6.0-16.sql: $(EXTENSION)--6.0-15.sql $(EXTENSION)--6.0-15--6.0-16.sql
	cat $^ > $@
$(EXTENSION)--6.0-17.sql: $(EXTENSION)--6.0-16.sql $(EXTENSION)--6.0-16--6.0-17.sql
	cat $^ > $@
$(EXTENSION)--6.0-18.sql: $(EXTENSION)--6.0-17.sql $(EXTENSION)--6.0-17--6.0-18.sql
	cat $^ > $@
$(EXTENSION)--6.1-1.sql: $(EXTENSION)--6.0-18.sql $(EXTENSION)--6.0-18--6.1-1.sql
	cat $^ > $@
$(EXTENSION)--6.1-2.sql: $(EXTENSION)--6.1-1.sql $(EXTENSION)--6.1-1--6.1-2.sql
	cat $^ > $@
$(EXTENSION)--6.1-3.sql: $(EXTENSION)--6.1-2.sql $(EXTENSION)--6.1-2--6.1-3.sql
	cat $^ > $@
$(EXTENSION)--6.1-4.sql: $(EXTENSION)--6.1-3.sql $(EXTENSION)--6.1-3--6.1-4.sql
	cat $^ > $@
$(EXTENSION)--6.1-5.sql: $(EXTENSION)--6.1-4.sql $(EXTENSION)--6.1-4--6.1-5.sql
	cat $^ > $@
$(EXTENSION)--6.1-6.sql: $(EXTENSION)--6.1-5.sql $(EXTENSION)--6.1-5--6.1-6.sql
	cat $^ > $@
$(EXTENSION)--6.1-7.sql: $(EXTENSION)--6.1-6.sql $(EXTENSION)--6.1-6--6.1-7.sql
	cat $^ > $@
$(EXTENSION)--6.1-8.sql: $(EXTENSION)--6.1-7.sql $(EXTENSION)--6.1-7--6.1-8.sql
	cat $^ > $@
$(EXTENSION)--6.1-9.sql: $(EXTENSION)--6.1-8.sql $(EXTENSION)--6.1-8--6.1-9.sql
	cat $^ > $@
$(EXTENSION)--6.1-10.sql: $(EXTENSION)--6.1-9.sql $(EXTENSION)--6.1-9--6.1-10.sql
	cat $^ > $@
$(EXTENSION)--6.1-11.sql: $(EXTENSION)--6.1-10.sql $(EXTENSION)--6.1-10--6.1-11.sql
	cat $^ > $@
$(EXTENSION)--6.1-12.sql: $(EXTENSION)--6.1-11.sql $(EXTENSION)--6.1-11--6.1-12.sql
	cat $^ > $@
$(EXTENSION)--6.1-13.sql: $(EXTENSION)--6.1-12.sql $(EXTENSION)--6.1-12--6.1-13.sql
	cat $^ > $@
$(EXTENSION)--6.1-14.sql: $(EXTENSION)--6.1-13.sql $(EXTENSION)--6.1-13--6.1-14.sql
	cat $^ > $@
$(EXTENSION)--6.1-15.sql: $(EXTENSION)--6.1-14.sql $(EXTENSION)--6.1-14--6.1-15.sql
	cat $^ > $@
$(EXTENSION)--6.1-16.sql: $(EXTENSION)--6.1-15.sql $(EXTENSION)--6.1-15--6.1-16.sql
	cat $^ > $@
$(EXTENSION)--6.1-17.sql: $(EXTENSION)--6.1-16.sql $(EXTENSION)--6.1-16--6.1-17.sql
	cat $^ > $@
$(EXTENSION)--6.2-1.sql: $(EXTENSION)--6.1-17.sql $(EXTENSION)--6.1-17--6.2-1.sql
	cat $^ > $@
$(EXTENSION)--6.2-2.sql: $(EXTENSION)--6.2-1.sql $(EXTENSION)--6.2-1--6.2-2.sql
	cat $^ > $@
$(EXTENSION)--6.2-3.sql: $(EXTENSION)--6.2-2.sql $(EXTENSION)--6.2-2--6.2-3.sql
	cat $^ > $@
$(EXTENSION)--6.2-4.sql: $(EXTENSION)--6.2-3.sql $(EXTENSION)--6.2-3--6.2-4.sql
	cat $^ > $@
$(EXTENSION)--7.0-1.sql: $(EXTENSION)--6.2-4.sql $(EXTENSION)--6.2-4--7.0-1.sql
	cat $^ > $@
$(EXTENSION)--7.0-2.sql: $(EXTENSION)--7.0-1.sql $(EXTENSION)--7.0-1--7.0-2.sql
	cat $^ > $@
$(EXTENSION)--7.0-3.sql: $(EXTENSION)--7.0-2.sql $(EXTENSION)--7.0-2--7.0-3.sql
	cat $^ > $@
$(EXTENSION)--7.0-4.sql: $(EXTENSION)--7.0-3.sql $(EXTENSION)--7.0-3--7.0-4.sql
	cat $^ > $@
$(EXTENSION)--7.0-5.sql: $(EXTENSION)--7.0-4.sql $(EXTENSION)--7.0-4--7.0-5.sql
	cat $^ > $@
$(EXTENSION)--7.0-6.sql: $(EXTENSION)--7.0-5.sql $(EXTENSION)--7.0-5--7.0-6.sql
	cat $^ > $@
$(EXTENSION)--7.0-7.sql: $(EXTENSION)--7.0-6.sql $(EXTENSION)--7.0-6--7.0-7.sql
	cat $^ > $@
$(EXTENSION)--7.0-8.sql: $(EXTENSION)--7.0-7.sql $(EXTENSION)--7.0-7--7.0-8.sql
	cat $^ > $@
$(EXTENSION)--7.0-9.sql: $(EXTENSION)--7.0-8.sql $(EXTENSION)--7.0-8--7.0-9.sql
	cat $^ > $@
$(EXTENSION)--7.0-10.sql: $(EXTENSION)--7.0-9.sql $(EXTENSION)--7.0-9--7.0-10.sql
	cat $^ > $@
$(EXTENSION)--7.0-11.sql: $(EXTENSION)--7.0-10.sql $(EXTENSION)--7.0-10--7.0-11.sql
	cat $^ > $@
$(EXTENSION)--7.0-12.sql: $(EXTENSION)--7.0-11.sql $(EXTENSION)--7.0-11--7.0-12.sql
	cat $^ > $@
$(EXTENSION)--7.0-13.sql: $(EXTENSION)--7.0-12.sql $(EXTENSION)--7.0-12--7.0-13.sql
	cat $^ > $@
$(EXTENSION)--7.0-14.sql: $(EXTENSION)--7.0-13.sql $(EXTENSION)--7.0-13--7.0-14.sql
	cat $^ > $@
$(EXTENSION)--7.0-15.sql: $(EXTENSION)--7.0-14.sql $(EXTENSION)--7.0-14--7.0-15.sql
	cat $^ > $@

NO_PGXS = 1

SHLIB_LINK = $(libpq)

include $(citus_top_builddir)/Makefile.global

override CPPFLAGS += -I$(libpq_srcdir)

=== src/test/regress/Makefile ===
# Makefile for tests of the Citus extension

citus_subdir = src/test/regress
citus_top_builddir = ../../..

include $(citus_top_builddir)/Makefile.global

# ensure MAJORVERSION is defined (missing in older versions)
ifndef MAJORVERSION
MAJORVERSION := $(basename $(VERSION))
endif

##
## Citus regression support
##
MULTI_INSTALLDIR=$(CURDIR)/tmp_check/install
pg_regress_multi_check = $(PERL) $(citus_abs_srcdir)/pg_regress_multi.pl --pgxsdir="$(pgxsdir)" --bindir="$(bindir)" --libdir="$(libdir)" --majorversion="$(MAJORVERSION)" --postgres-builddir="$(postgres_abs_builddir)"  --postgres-srcdir="$(postgres_abs_srcdir)"
MULTI_REGRESS_OPTS = --inputdir=$(citus_abs_srcdir) $(pg_regress_locale_flags)

# XXX: Can't actually do useful testruns against install - $libdir
# etc will point to the directory configured during postgres'
# build. We could copy the installed tree around, but that's quite
# likely to be mixed with other binaries and such...
cleandir-main:
###	echo rm -rf '$(CURDIR)'/tmp_check/install
###
tempinstall-main: cleandir-main
####	mkdir -p $(MULTI_INSTALLDIR)
###	$(MAKE) DESTDIR=$(MULTI_INSTALLDIR) -C $(citus_top_builddir) install > tmp_check/install.log 2>&1

# Test input and expected files.  These are created by pg_regress itself, so we
# don't have a rule to create them.  We do need rules to clean them however.
input_files := $(patsubst $(citus_abs_srcdir)/input/%.source,sql/%.sql, $(wildcard $(citus_abs_srcdir)/input/*.source))
output_files := $(patsubst $(citus_abs_srcdir)/output/%.source,expected/%.out, $(wildcard $(citus_abs_srcdir)/output/*.source))

# have make check actually run all tests, but keep check-full as an
# intermediate, for muscle memory backward compatibility.
check: check-full
# check-full triggers all tests that ought to be run routinely
check-full: check-multi check-multi-mx check-multi-task-tracker-extra check-multi-binary check-worker check-follower-cluster

# using pg_regress_multi_check unnecessarily starts up multiple nodes, which isn't needed
# for check-worker. But that's harmless besides a few cycles.
check-worker: all
	$(pg_regress_multi_check) --load-extension=citus \
	-- $(MULTI_REGRESS_OPTS) --schedule=$(citus_abs_srcdir)/worker_schedule $(EXTRA_TESTS)

check-multi: all tempinstall-main
	$(pg_regress_multi_check) --load-extension=citus \
	-- $(MULTI_REGRESS_OPTS) --schedule=$(citus_abs_srcdir)/multi_schedule $(EXTRA_TESTS)

check-multi-vg: all tempinstall-main
	$(pg_regress_multi_check) --load-extension=citus --valgrind \
	--pg_ctl-timeout=360 --connection-timeout=500000 --valgrind-path=valgrind --valgrind-log-file=$(VALGRIND_LOG_FILE) \
	-- $(MULTI_REGRESS_OPTS) --schedule=$(citus_abs_srcdir)/multi_schedule $(EXTRA_TESTS)

check-isolation: all tempinstall-main
	$(pg_regress_multi_check) --load-extension=citus --isolationtester \
	-- $(MULTI_REGRESS_OPTS) --schedule=$(citus_abs_srcdir)/isolation_schedule $(EXTRA_TESTS)

check-vanilla: all tempinstall-main
	$(pg_regress_multi_check) --load-extension=citus --vanillatest

check-multi-mx: all tempinstall-main
	$(pg_regress_multi_check) --load-extension=citus \
	-- $(MULTI_REGRESS_OPTS) --schedule=$(citus_abs_srcdir)/multi_mx_schedule $(EXTRA_TESTS)

check-multi-task-tracker-extra: all tempinstall-main
	$(pg_regress_multi_check) --load-extension=citus \
	--server-option=citus.task_executor_type=task-tracker \
	--server-option=citus.large_table_shard_count=1 \
	-- $(MULTI_REGRESS_OPTS) --schedule=$(citus_abs_srcdir)/multi_task_tracker_extra_schedule $(EXTRA_TESTS)

check-multi-binary: all tempinstall-main
	$(pg_regress_multi_check) --load-extension=citus \
	--server-option=citus.binary_worker_copy_format=on \
	-- $(MULTI_REGRESS_OPTS) --schedule=$(citus_abs_srcdir)/multi_binary_schedule $(EXTRA_TESTS)

check-follower-cluster: all
	$(pg_regress_multi_check) --load-extension=citus --follower-cluster \
	-- $(MULTI_REGRESS_OPTS) --schedule=$(citus_abs_srcdir)/multi_follower_schedule $(EXTRA_TESTS)

clean distclean maintainer-clean:
	rm -f $(output_files) $(input_files)
	rm -rf tmp_check/

=== debian/changelog ===
citus (7.0.3.PGDG-1) unstable; urgency=low

  * Fixes several bugs that could cause crash

  * Fixes a bug that could cause deadlock while creating reference tables

  * Fixes a bug that could cause false-positives in deadlock detection

  * Fixes a bug that could cause  2PC recovery not to work from MX workers

  * Fixes a bug that could cause cache incohorency

  * Fixes a bug that could cause maintenance daemon to skip cache invalidations

  * Improves performance of transaction recovery by using correct index

 -- Burak Yucesoy <burak@citusdata.com>  Mon, 16 Oct 2017 11:52:07 +0000

=== debian/control ===
Source: citus
Section: database
Priority: optional
Maintainer: Citus Data <packaging@citusdata.com>
Uploaders: Jason Petersen <jason@citusdata.com>
Build-Depends: debhelper (>= 9), autotools-dev, postgresql-server-dev-all (>= 158~), libedit-dev, libpam0g-dev, libselinux1-dev, libxslt1-dev, libssl-dev, libkrb5-dev, libicu-dev, libcurl-dev
Standards-Version: 3.9.7
Homepage: https://github.com/citusdata/citus
XS-Testsuite: autopkgtest

Package: postgresql-10-citus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-10
Description: sharding and distributed joins for PostgreSQL
 Citus is a distributed database implemented as a PostgreSQL extension. It
 provides functions to easily split a PostgreSQL table into shards to be
 placed on remote worker nodes. Citus can replicate shards, update their
 schemas, and keep track of shard health. An advanced distributed planner
 is included which handles queries and modifications against sharded tables.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:
	+pg_buildext build build-%v

override_dh_auto_clean:
	+pg_buildext clean build-%v

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_configure:
	+pg_buildext configure build-%v --with-extra-version="$${CONF_EXTRA_VERSION:-}"

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-citus

%:
	dh $@

## citus 7.1.0.PGDG

=== src/backend/distributed/Makefile ===
--- 
+++ 
@@ -11,7 +11,8 @@
 	6.0-1 6.0-2 6.0-3 6.0-4 6.0-5 6.0-6 6.0-7 6.0-8 6.0-9 6.0-10 6.0-11 6.0-12 6.0-13 6.0-14 6.0-15 6.0-16 6.0-17 6.0-18 \
 	6.1-1 6.1-2 6.1-3 6.1-4 6.1-5 6.1-6 6.1-7 6.1-8 6.1-9 6.1-10 6.1-11 6.1-12 6.1-13 6.1-14 6.1-15 6.1-16 6.1-17 \
 	6.2-1 6.2-2 6.2-3 6.2-4 \
-	7.0-1 7.0-2 7.0-3 7.0-4 7.0-5 7.0-6 7.0-7 7.0-8 7.0-9 7.0-10 7.0-11 7.0-12 7.0-13 7.0-14 7.0-15
+	7.0-1 7.0-2 7.0-3 7.0-4 7.0-5 7.0-6 7.0-7 7.0-8 7.0-9 7.0-10 7.0-11 7.0-12 7.0-13 7.0-14 7.0-15 \
+	7.1-1 7.1-2 7.1-3 7.1-4
 
 # All citus--*.sql files in the source directory
 DATA = $(patsubst $(citus_abs_srcdir)/%.sql,%.sql,$(wildcard $(citus_abs_srcdir)/$(EXTENSION)--*--*.sql))
@@ -169,6 +170,14 @@
 	cat $^ > $@
 $(EXTENSION)--7.0-15.sql: $(EXTENSION)--7.0-14.sql $(EXTENSION)--7.0-14--7.0-15.sql
 	cat $^ > $@
+$(EXTENSION)--7.1-1.sql: $(EXTENSION)--7.0-15.sql $(EXTENSION)--7.0-15--7.1-1.sql
+	cat $^ > $@
+$(EXTENSION)--7.1-2.sql: $(EXTENSION)--7.1-1.sql $(EXTENSION)--7.1-1--7.1-2.sql
+	cat $^ > $@
+$(EXTENSION)--7.1-3.sql: $(EXTENSION)--7.1-2.sql $(EXTENSION)--7.1-2--7.1-3.sql
+	cat $^ > $@
+$(EXTENSION)--7.1-4.sql: $(EXTENSION)--7.1-3.sql $(EXTENSION)--7.1-3--7.1-4.sql
+	cat $^ > $@
 
 NO_PGXS = 1

=== src/test/regress/Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 # intermediate, for muscle memory backward compatibility.
 check: check-full
 # check-full triggers all tests that ought to be run routinely
-check-full: check-multi check-multi-mx check-multi-task-tracker-extra check-multi-binary check-worker check-follower-cluster
+check-full: check-multi check-multi-mx check-multi-task-tracker-extra check-worker check-follower-cluster
 
 # using pg_regress_multi_check unnecessarily starts up multiple nodes, which isn't needed
 # for check-worker. But that's harmless besides a few cycles.
@@ -71,11 +71,6 @@
 	--server-option=citus.large_table_shard_count=1 \
 	-- $(MULTI_REGRESS_OPTS) --schedule=$(citus_abs_srcdir)/multi_task_tracker_extra_schedule $(EXTRA_TESTS)
 
-check-multi-binary: all tempinstall-main
-	$(pg_regress_multi_check) --load-extension=citus \
-	--server-option=citus.binary_worker_copy_format=on \
-	-- $(MULTI_REGRESS_OPTS) --schedule=$(citus_abs_srcdir)/multi_binary_schedule $(EXTRA_TESTS)
-
 check-follower-cluster: all
 	$(pg_regress_multi_check) --load-extension=citus --follower-cluster \
 	-- $(MULTI_REGRESS_OPTS) --schedule=$(citus_abs_srcdir)/multi_follower_schedule $(EXTRA_TESTS)

=== debian/changelog ===
citus (7.1.0.PGDG-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg (jenkins-citus-source-distribution=sid-27,
    90281d2acc98a2ea8c1ccdcbe600ef41f8c9d773/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Thu, 16 Nov 2017 07:17:37 +0100

citus (7.1.0.PGDG-1) unstable; urgency=low

  * Adds support for native queries with multi shard UPDATE/DELETE queries

  * Expands reference table support in subquery pushdown

  * Adds window function support for subqueries and INSERT ... SELECT queries

  * Adds support for COUNT(DISTINCT) [ON] queries on non-partition columns

  * Adds support for DISTINCT [ON] queries on non-partition columns

  * Introduces basic usage statistic collector

  * Adds support for setting replica identity while creating distributed tables

  * Adds support for ALTER TABLE ... REPLICA IDENTITY queries

  * Adds pushdown support for LIMIT and HAVING grouped by partition key

  * Adds support for INSERT ... SELECT queries via worker nodes on MX clusters

  * Adds support for adding primary key using already defined index

  * Adds parameter to shard copy functions to support distinct replication models

  * Changes shard_name UDF to omit public schema name

  * Adds master_move_node UDF to make changes on nodename/nodeport more easy

  * Fixes a bug that could cause casting error with INSERT ... SELECT queries

  * Fixes a bug that could prevent upgrading servers from Citus 6.1

  * Fixes a bug that could prevent attaching partitions to a table in schema

  * Fixes a bug that could prevent adding a node to cluster with reference table

  * Fixes a bug that could cause a crash with INSERT ... SELECT queries

  * Fixes a bug that could prevent creating a partitoned table on Cloud

  * Implements various performance improvements

  * Adds internal infrastructures and tests to improve development process

  * Addresses various race conditions and deadlocks

  * Improves and standardizes error messages

 -- Burak Velioglu <velioglub@citusdata.com>  Wed, 15 Nov 2017 09:00:07 +0000

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
 Homepage: https://github.com/citusdata/citus
 XS-Testsuite: autopkgtest
 
-Package: postgresql-10-citus
+Package: postgresql-9.6-citus
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-10
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
 Description: sharding and distributed joins for PostgreSQL
  Citus is a distributed database implemented as a PostgreSQL extension. It
  provides functions to easily split a PostgreSQL table into shards to be

## citus 7.2.0.PGDG

=== src/backend/distributed/Makefile ===
--- 
+++ 
@@ -12,7 +12,8 @@
 	6.1-1 6.1-2 6.1-3 6.1-4 6.1-5 6.1-6 6.1-7 6.1-8 6.1-9 6.1-10 6.1-11 6.1-12 6.1-13 6.1-14 6.1-15 6.1-16 6.1-17 \
 	6.2-1 6.2-2 6.2-3 6.2-4 \
 	7.0-1 7.0-2 7.0-3 7.0-4 7.0-5 7.0-6 7.0-7 7.0-8 7.0-9 7.0-10 7.0-11 7.0-12 7.0-13 7.0-14 7.0-15 \
-	7.1-1 7.1-2 7.1-3 7.1-4
+	7.1-1 7.1-2 7.1-3 7.1-4 \
+	7.2-1 7.2-2 7.2-3
 
 # All citus--*.sql files in the source directory
 DATA = $(patsubst $(citus_abs_srcdir)/%.sql,%.sql,$(wildcard $(citus_abs_srcdir)/$(EXTENSION)--*--*.sql))
@@ -178,6 +179,12 @@
 	cat $^ > $@
 $(EXTENSION)--7.1-4.sql: $(EXTENSION)--7.1-3.sql $(EXTENSION)--7.1-3--7.1-4.sql
 	cat $^ > $@
+$(EXTENSION)--7.2-1.sql: $(EXTENSION)--7.1-4.sql $(EXTENSION)--7.1-4--7.2-1.sql
+	cat $^ > $@
+$(EXTENSION)--7.2-2.sql: $(EXTENSION)--7.2-1.sql $(EXTENSION)--7.2-1--7.2-2.sql
+	cat $^ > $@
+$(EXTENSION)--7.2-3.sql: $(EXTENSION)--7.2-2.sql $(EXTENSION)--7.2-2--7.2-3.sql
+	cat $^ > $@
 
 NO_PGXS = 1

=== debian/changelog ===
citus (7.2.0.PGDG-1.pgdg80+1) jessie-pgdg; urgency=medium

  * Rebuild for jessie-pgdg (jenkins-citus-source-distribution=jessie-
    29, dcf5fe6a5b52170adcc9afec6187e0d6b6b1e9eb/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Tue, 30 Jan 2018 00:29:19 +0100

citus (7.2.0.PGDG-1) unstable; urgency=low

  * Adds support for CTEs

  * Adds support for subqueries that require merge step

  * Adds support for set operations (UNION, INTERSECT, ...)

  * Adds support for querying local tables in CTEs and subqueries

  * Adds support for more SQL coverage in subqueries for reference tables

  * Adds support for count(distinct) in queries with a subquery

  * Adds support for non-equijoins when there is already an equijoin for queries

  * Adds support for non-equijoins when there is already an equijoin for subquery

  * Adds support for real-time executor to run in transaction blocks

  * Adds infrastructure for storing intermediate distributed query results

  * Adds a new GUC named enable_repartition_joins for auto executor switch

  * Adds support for limiting the intermediate result size

  * Improves support for queries with unions containing filters

  * Improves support for queries with unions containing joins

  * Improves support for subqueries in the WHERE clause

  * Increases COPY throughput

  * Enables pushing down queries containing only recurring tuples and GROUP BY

  * Load-balance queries that read from 0 shards

  * Improves support for using functions in subqueries

  * Fixes a bug that could cause real-time executor to crash during cancellation

  * Fixes a bug that could cause real-time executor to get stuck on cancellation

  * Fixes a bug that could block modification queries unnecessarily

  * Fixes a bug that could cause assigning wrong IDs to transactions

  * Fixes a bug that could cause an assert failure with ANALYZE statements

  * Fixes a bug that could allow pushing down wrong set operations in subqueries

  * Fixes a bug that could cause a deadlock in create_distributed_table

  * Fixes a bug that could confuse user about ANALYZE usage

  * Fixes a bug that could lead to false positive distributed deadlock detections

  * Relaxes the locking for DDL commands on partitioned tables

  * Relaxes the locking on COPY with replication

  * Logs more remote commands when citus.log_remote_commands is set

 -- Burak Velioglu <velioglub@citusdata.com>  Tue, 16 Jan 2018 14:34:20 +0000

citus (7.1.1.PGDG-1) unstable; urgency=low

  * Fixes a bug that could prevent pushing down subqueries with reference tables

  * Fixes a bug that could create false positive distributed deadlocks

  * Fixes a bug that could prevent running concurrent COPY and multi-shard DDL

  * Fixes a bug that could mislead users about ANALYZE queries

 -- Burak Velioglu <velioglub@citusdata.com>  Tue, 05 Dec 2017 09:00:07 +0000

## citus 7.2.1.PGDG

=== debian/changelog ===
citus (7.2.1.PGDG-1.pgdg80+1) jessie-pgdg; urgency=medium

  * Rebuild for jessie-pgdg (jenkins-citus-source-distribution=jessie-
    31, 1298910fd10cc12cf9b275ee3b1ebe610d8d3d74/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Wed, 07 Feb 2018 07:47:50 +0100

citus (7.2.1.PGDG-1) unstable; urgency=low

  * Fixes count distinct bug on column expressions when used with subqueries

  * Adds support for respecting enable_hashagg in the master plan

  * Fixes a bug canceling backends that are not involved in distributed deadlocks

 -- Burak Velioglu <velioglub@citusdata.com>  Tue, 06 Feb 2018 14:46:07 +0000

## citus 7.3.0.PGDG

=== src/backend/distributed/Makefile ===
--- 
+++ 
@@ -13,7 +13,8 @@
 	6.2-1 6.2-2 6.2-3 6.2-4 \
 	7.0-1 7.0-2 7.0-3 7.0-4 7.0-5 7.0-6 7.0-7 7.0-8 7.0-9 7.0-10 7.0-11 7.0-12 7.0-13 7.0-14 7.0-15 \
 	7.1-1 7.1-2 7.1-3 7.1-4 \
-	7.2-1 7.2-2 7.2-3
+    7.2-1 7.2-2 7.2-3 \
+	7.3-1 7.3-2 7.3-3
 
 # All citus--*.sql files in the source directory
 DATA = $(patsubst $(citus_abs_srcdir)/%.sql,%.sql,$(wildcard $(citus_abs_srcdir)/$(EXTENSION)--*--*.sql))
@@ -185,6 +186,12 @@
 	cat $^ > $@
 $(EXTENSION)--7.2-3.sql: $(EXTENSION)--7.2-2.sql $(EXTENSION)--7.2-2--7.2-3.sql
 	cat $^ > $@
+$(EXTENSION)--7.3-1.sql: $(EXTENSION)--7.2-3.sql $(EXTENSION)--7.2-3--7.3-1.sql
+	cat $^ > $@
+$(EXTENSION)--7.3-2.sql: $(EXTENSION)--7.3-1.sql $(EXTENSION)--7.3-1--7.3-2.sql
+	cat $^ > $@
+$(EXTENSION)--7.3-3.sql: $(EXTENSION)--7.3-2.sql $(EXTENSION)--7.3-2--7.3-3.sql
+	cat $^ > $@
 
 NO_PGXS = 1

=== src/test/regress/Makefile ===
--- 
+++ 
@@ -45,6 +45,11 @@
 	$(pg_regress_multi_check) --load-extension=citus \
 	-- $(MULTI_REGRESS_OPTS) --schedule=$(citus_abs_srcdir)/worker_schedule $(EXTRA_TESTS)
 
+# check-base only sets up a testing environment so you can specify all your tests using EXTRA_TESTS
+check-base: all
+	$(pg_regress_multi_check) --load-extension=citus \
+	-- $(MULTI_REGRESS_OPTS) --schedule=$(citus_abs_srcdir)/base_schedule $(EXTRA_TESTS)
+
 check-multi: all tempinstall-main
 	$(pg_regress_multi_check) --load-extension=citus \
 	-- $(MULTI_REGRESS_OPTS) --schedule=$(citus_abs_srcdir)/multi_schedule $(EXTRA_TESTS)

=== debian/changelog ===
citus (7.3.0.PGDG-1.pgdg70+1) wheezy-pgdg; urgency=medium

  * Rebuild for wheezy-pgdg (jenkins-citus-source-distribution=wheezy-
    32, 9dc5e477a5555e9d9fc26b4910df41587a03da73/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Thu, 15 Mar 2018 17:47:00 +0100

citus (7.3.0.PGDG-1) unstable; urgency=low

  * Adds support for non-colocated joins between subqueries

  * Adds support for window functions that can be pushed down to worker

  * Adds support for modifying CTEs

  * Adds recursive plan for subqueries in WHERE clause with recurring FROM clause

  * Adds support for bool_ and bit_ aggregates

  * Adds support for Postgres jsonb and json aggregation functions

  * Adds support for respecting enable_hashagg in the master plan

  * Performance improvements to reduce distributed planning time

  * Fixes a bug on planner when aggregate is used in ORDER BY

  * Fixes a bug on planner when DISTINCT (ON) clause is used with GROUP BY

  * Fixes a bug of creating coordinator planner with distinct and aggregate clause

  * Fixes a bug that could open a new connection on every table size function call

  * Fixes a bug canceling backends that are not involved in distributed deadlocks

  * Fixes count distinct bug on column expressions when used with subqueries

  * Improves error handling on worker node failures

  * Improves error messages for INSERT queries that have subqueries

 -- Burak Velioglu <velioglub@citusdata.com>  Thu, 15 Mar 2018 14:16:10 +0000

=== debian/control ===
--- 
+++ 
@@ -18,3 +18,13 @@
  schemas, and keep track of shard health. An advanced distributed planner
  is included which handles queries and modifications against sharded tables.
 
+Package: postgresql-10-citus
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-10
+Description: sharding and distributed joins for PostgreSQL
+ Citus is a distributed database implemented as a PostgreSQL extension. It
+ provides functions to easily split a PostgreSQL table into shards to be
+ placed on remote worker nodes. Citus can replicate shards, update their
+ schemas, and keep track of shard health. An advanced distributed planner
+ is included which handles queries and modifications against sharded tables.
+

## citus 7.5.1.PGDG

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,126 @@
 # Citus toplevel Makefile
+
+EXTENSION = citus
+
+MODULE_big = citus
+
+OBJS = src/backend/distributed/shared_library_init.o \
+     src/backend/distributed/commands/create_distributed_table.o \
+     src/backend/distributed/commands/drop_distributed_table.o \
+     src/backend/distributed/commands/multi_copy.o \
+     src/backend/distributed/commands/transmit.o \
+     src/backend/distributed/connection/connection_configuration.o \
+     src/backend/distributed/connection/connection_management.o \
+     src/backend/distributed/connection/placement_connection.o \
+     src/backend/distributed/connection/remote_commands.o \
+     src/backend/distributed/ddl/foreign_constraint.o \
+     src/backend/distributed/ddl/policy.o \
+     src/backend/distributed/executor/citus_custom_scan.o \
+     src/backend/distributed/executor/insert_select_executor.o \
+     src/backend/distributed/executor/intermediate_results.o \
+     src/backend/distributed/executor/multi_client_executor.o \
+     src/backend/distributed/executor/multi_executor.o \
+     src/backend/distributed/executor/multi_real_time_executor.o \
+     src/backend/distributed/executor/multi_router_executor.o \
+     src/backend/distributed/executor/multi_server_executor.o \
+     src/backend/distributed/executor/multi_task_tracker_executor.o \
+     src/backend/distributed/executor/multi_utility.o \
+     src/backend/distributed/executor/query_stats.o \
+     src/backend/distributed/executor/subplan_execution.o \
+     src/backend/distributed/master/citus_create_restore_point.o \
+     src/backend/distributed/master/master_citus_tools.o \
+     src/backend/distributed/master/master_create_shards.o \
+     src/backend/distributed/master/master_delete_protocol.o \
+     src/backend/distributed/master/master_metadata_utility.o \
+     src/backend/distributed/master/master_modify_multiple_shards.o \
+     src/backend/distributed/master/master_node_protocol.o \
+     src/backend/distributed/master/master_repair_shards.o \
+     src/backend/distributed/master/master_split_shards.o \
+     src/backend/distributed/master/master_stage_protocol.o \
+     src/backend/distributed/master/master_truncate.o \
+     src/backend/distributed/master/worker_node_manager.o \
+     src/backend/distributed/metadata/metadata_sync.o \
+     src/backend/distributed/planner/deparse_shard_query.o \
+     src/backend/distributed/planner/distributed_planner.o \
+     src/backend/distributed/planner/extended_op_node_utils.o \
+     src/backend/distributed/planner/insert_select_planner.o \
+     src/backend/distributed/planner/multi_explain.o \
+     src/backend/distributed/planner/multi_join_order.o \
+     src/backend/distributed/planner/multi_logical_optimizer.o \
+     src/backend/distributed/planner/multi_logical_planner.o \
+     src/backend/distributed/planner/multi_master_planner.o \
+     src/backend/distributed/planner/multi_physical_planner.o \
+     src/backend/distributed/planner/query_colocation_checker.o \
+     src/backend/distributed/planner/query_pushdown_planning.o \
+     src/backend/distributed/planner/multi_router_planner.o \
+     src/backend/distributed/planner/postgres_planning_functions.o \
+     src/backend/distributed/planner/recursive_planning.o \
+     src/backend/distributed/planner/relation_restriction_equivalence.o \
+     src/backend/distributed/planner/shard_pruning.o \
+     src/backend/distributed/progress/multi_progress.o \
+     src/backend/distributed/relay/relay_event_utility.o \
+     src/backend/distributed/test/colocation_utils.o \
+     src/backend/distributed/test/create_shards.o \
+     src/backend/distributed/test/deparse_shard_query.o \
+     src/backend/distributed/test/distributed_deadlock_detection.o \
+     src/backend/distributed/test/distribution_metadata.o \
+     src/backend/distributed/test/fake_fdw.o \
+     src/backend/distributed/test/foreign_key_relationship_query.o \
+     src/backend/distributed/test/generate_ddl_commands.o \
+     src/backend/distributed/test/metadata_sync.o \
+     src/backend/distributed/test/partitioning_utils.o \
+     src/backend/distributed/test/progress_utils.o \
+     src/backend/distributed/test/prune_shard_list.o \
+     src/backend/distributed/test/relation_access_tracking.o \
+     src/backend/distributed/test/sequential_execution.o \
+     src/backend/distributed/transaction/backend_data.o \
+     src/backend/distributed/transaction/distributed_deadlock_detection.o \
+     src/backend/distributed/transaction/lock_graph.o \
+     src/backend/distributed/transaction/multi_shard_transaction.o \
+     src/backend/distributed/transaction/relation_access_tracking.o \
+     src/backend/distributed/transaction/remote_transaction.o \
+     src/backend/distributed/transaction/transaction_management.o \
+     src/backend/distributed/transaction/transaction_recovery.o \
+     src/backend/distributed/transaction/worker_transaction.o \
+     src/backend/distributed/utils/citus_clauses.o \
+     src/backend/distributed/utils/citus_copyfuncs.o \
+     src/backend/distributed/utils/citus_nodefuncs.o \
+     src/backend/distributed/utils/citus_outfuncs.o \
+     src/backend/distributed/utils/citus_readfuncs.o \
+     src/backend/distributed/utils/citus_ruleutils.o \
+     src/backend/distributed/utils/citus_version.o \
+     src/backend/distributed/utils/colocation_utils.o \
+     src/backend/distributed/utils/distribution_column.o \
+     src/backend/distributed/utils/errormessage.o \
+     src/backend/distributed/utils/foreign_key_relationship.o \
+     src/backend/distributed/utils/hash_helpers.o \
+     src/backend/distributed/utils/listutils.o \
+     src/backend/distributed/utils/maintenanced.o \
+     src/backend/distributed/utils/metadata_cache.o \
+     src/backend/distributed/utils/multi_partitioning_utils.o \
+     src/backend/distributed/utils/multi_resowner.o \
+     src/backend/distributed/utils/node_metadata.o \
+     src/backend/distributed/utils/reference_table_utils.o \
+     src/backend/distributed/utils/resource_lock.o \
+     src/backend/distributed/utils/ruleutils_10.o \
+     src/backend/distributed/utils/ruleutils_96.o \
+     src/backend/distributed/utils/shardinterval_utils.o \
+     src/backend/distributed/utils/statistics_collection.o \
+     src/backend/distributed/worker/task_tracker.o \
+     src/backend/distributed/worker/task_tracker_protocol.o \
+     src/backend/distributed/worker/worker_data_fetch_protocol.o \
+     src/backend/distributed/worker/worker_drop_protocol.o \
+     src/backend/distributed/worker/worker_file_access_protocol.o \
+     src/backend/distributed/worker/worker_merge_protocol.o \
+     src/backend/distributed/worker/worker_partition_protocol.o \
+     src/backend/distributed/worker/worker_truncate_trigger_protocol.o \
+     $(WIN32RES)
+
+EXTENSION=
+MODULE_big=
+OBJS=
+
+# the above is so that builds can work on Windows, the below is for all other platforms
 
 citus_subdir = .
 citus_top_builddir = .

=== src/backend/distributed/Makefile ===
--- 
+++ 
@@ -13,8 +13,10 @@
 	6.2-1 6.2-2 6.2-3 6.2-4 \
 	7.0-1 7.0-2 7.0-3 7.0-4 7.0-5 7.0-6 7.0-7 7.0-8 7.0-9 7.0-10 7.0-11 7.0-12 7.0-13 7.0-14 7.0-15 \
 	7.1-1 7.1-2 7.1-3 7.1-4 \
-    7.2-1 7.2-2 7.2-3 \
-	7.3-1 7.3-2 7.3-3
+	7.2-1 7.2-2 7.2-3 \
+	7.3-1 7.3-2 7.3-3 \
+	7.4-1 7.4-2 7.4-3 \
+	7.5-1 7.5-2 7.5-3 7.5-4 7.5-5 7.5-6 7.5-7
 
 # All citus--*.sql files in the source directory
 DATA = $(patsubst $(citus_abs_srcdir)/%.sql,%.sql,$(wildcard $(citus_abs_srcdir)/$(EXTENSION)--*--*.sql))
@@ -22,7 +24,7 @@
 DATA_built = $(foreach v,$(EXTVERSIONS),$(EXTENSION)--$(v).sql)
 
 # directories with source files
-SUBDIRS = . commands connection executor master metadata planner progress relay test transaction utils worker
+SUBDIRS = . commands connection ddl executor master metadata planner progress relay test transaction utils worker
 
 # That patsubst rule searches all directories listed in SUBDIRS for .c
 # files, and adds the corresponding .o files to OBJS
@@ -192,6 +194,26 @@
 	cat $^ > $@
 $(EXTENSION)--7.3-3.sql: $(EXTENSION)--7.3-2.sql $(EXTENSION)--7.3-2--7.3-3.sql
 	cat $^ > $@
+$(EXTENSION)--7.4-1.sql: $(EXTENSION)--7.3-3.sql $(EXTENSION)--7.3-3--7.4-1.sql
+	cat $^ > $@
+$(EXTENSION)--7.4-2.sql: $(EXTENSION)--7.4-1.sql $(EXTENSION)--7.4-1--7.4-2.sql
+	cat $^ > $@
+$(EXTENSION)--7.4-3.sql: $(EXTENSION)--7.4-2.sql $(EXTENSION)--7.4-2--7.4-3.sql
+	cat $^ > $@
+$(EXTENSION)--7.5-1.sql: $(EXTENSION)--7.4-3.sql $(EXTENSION)--7.4-3--7.5-1.sql
+	cat $^ > $@
+$(EXTENSION)--7.5-2.sql: $(EXTENSION)--7.5-1.sql $(EXTENSION)--7.5-1--7.5-2.sql
+	cat $^ > $@
+$(EXTENSION)--7.5-3.sql: $(EXTENSION)--7.5-2.sql $(EXTENSION)--7.5-2--7.5-3.sql
+	cat $^ > $@
+$(EXTENSION)--7.5-4.sql: $(EXTENSION)--7.5-3.sql $(EXTENSION)--7.5-3--7.5-4.sql
+	cat $^ > $@
+$(EXTENSION)--7.5-5.sql: $(EXTENSION)--7.5-4.sql $(EXTENSION)--7.5-4--7.5-5.sql
+	cat $^ > $@
+$(EXTENSION)--7.5-6.sql: $(EXTENSION)--7.5-5.sql $(EXTENSION)--7.5-5--7.5-6.sql
+	cat $^ > $@
+$(EXTENSION)--7.5-7.sql: $(EXTENSION)--7.5-6.sql $(EXTENSION)--7.5-6--7.5-7.sql
+	cat $^ > $@
 
 NO_PGXS = 1

=== debian/changelog ===
citus (7.5.1.PGDG-1) unstable; urgency=low

  * Improves query pushdown planning performance

  * Fixes a bug that could cause modifying CTEs to select wrong execution mode

 -- Burak Velioglu <velioglub@citusdata.com>  Wed, 29 Aug 2018 08:06:42 +0000

citus (7.4.2.PGDG-1) unstable; urgency=low

  * Fixes a segfault in real-time executor during online shard move

 -- Mehmet Furkan Sahin <furkan@citusdata.com>  Fri, 27 Jul 2018 13:42:27 +0000

citus (7.5.0.PGDG-1) unstable; urgency=low

  * Adds foreign key support from hash distributed to reference tables

  * Adds SELECT ... FOR UPDATE support for router plannable queries

  * Adds support for non-partition columns in count distinct

  * Fixes a segfault in real-time executor during online shard move

  * Fixes ALTER TABLE ADD COLUMN constraint check

  * Fixes a bug where INSERT ... SELECT allows one to update dist. column

  * Allows DDL commands to be sequentialized via citus.multi_shard_modify_mode

  * Adds support for topn_union_agg and topn_add_agg across shards

  * Adds support for hll_union_agg and hll_add_agg across shards

  * Fixes a bug that might cause shards to have a wrong owner

  * Adds select_opens_transaction_block GUC

  * Adds utils to implement DDLs for policies in future

  * Makes intermediate results to use separate connections

  * Adds a node_conninfo GUC to set outgoing connection settings

 -- Mehmet Furkan Sahin <furkan@citusdata.com>  Wed, 25 Jul 2018 9:32:24 +0000

citus (6.2.6.PGDG-1) unstable; urgency=low

  * Adds support for respecting enable_hashagg in the master planner

 -- Burak Velioglu <velioglub@citusdata.com>  Fri, 06 Jul 2018 13:30:08 +0000

citus (7.4.1.PGDG-1) unstable; urgency=low

  * Fixes a bug that could cause txns to incorrectly proceed after failure

  * Fixes a bug on INSERT ... SELECT queries in prepared statements

 -- Burak Velioglu <velioglub@citusdata.com>  Wed, 20 Jun 2018 12:25:30 +0000

citus (7.2.2.PGDG-1) unstable; urgency=low

  * Fixes a bug that could cause SELECTs to crash during a rebalance

 -- Burak Velioglu <velioglub@citusdata.com>  Thu, 17 May 2018 11:51:56 +0000

citus (7.4.0.PGDG-1) unstable; urgency=low

  * Adds support for non-pushdownable subqueries and CTEs in UPDATE/DELETE

  * Adds support for pushdownable subqueries and joins in UPDATE/DELETE

  * Adds faster shard pruning for subqueries

  * Adds partitioning support to MX table

  * Adds support for (VACUUM | ANALYZE) VERBOSE

  * Adds support for multiple ANDs in HAVING for pushdown planner

  * Adds support for quotation needy schema names

  * Improves operator check time in physical planner for custom data types

  * Removes broadcast join logic

  * Deprecates large_table_shard_count and master_expire_table_cache()

  * Modifies master_update_node to write-lock shards hosted by node over update

  * DROP TABLE now drops shards as the currrent user instead of the superuser

  * Adds specialised error codes for connection failures

  * Improves error messages on connection failure

  * Fixes issue which prevented multiple citus_table_size calls per query

  * Tests are updated to use create_distributed_table

 -- Burak Velioglu <velioglub@citusdata.com>  Tue, 15 May 2018 13:01:17 +0000

=== debian/control ===
Source: citus
Section: database
Priority: optional
Maintainer: Citus Data <packaging@citusdata.com>
Uploaders: Jason Petersen <jason@citusdata.com>
Build-Depends: debhelper (>= 9), autotools-dev, postgresql-server-dev-all (>= 158~), libedit-dev, libpam0g-dev, libselinux1-dev, libxslt1-dev, libssl-dev, libkrb5-dev, libicu-dev, libcurl4-openssl-dev | libcurl-dev
Standards-Version: 4.2.1
Homepage: https://github.com/citusdata/citus
XS-Testsuite: autopkgtest

Package: postgresql-10-citus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-10
Description: sharding and distributed joins for PostgreSQL
 Citus is a distributed database implemented as a PostgreSQL extension. It
 provides functions to easily split a PostgreSQL table into shards to be
 placed on remote worker nodes. Citus can replicate shards, update their
 schemas, and keep track of shard health. An advanced distributed planner
 is included which handles queries and modifications against sharded tables.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/citus-$1\.tar\.gz/,\
uversionmangle=s/^([\d\.]+)/$1.PGDG/;s/-(rc\.\d+)$/~$1/,\
pgpsigurlmangle=s/archive\/v(\d\S*)\.tar\.gz/releases\/download\/v$1\/citus-$1.tar.gz.asc/ \
https://github.com/citusdata/citus/releases /citusdata/citus/archive/v(\d\S*)\.tar\.gz
